/*  Copyright 1993-2011 EIAS3D, This Source code may be included in plug-ins, 
shaders, and utilities intended for use with the Electric Image Animation System.
This copyright notice must be included in its original form in all such products. 
This  source code may not be offered for sale or distributed by any entity 
without the express permission of EIAS3D.*/

#ifndef		EI_COLOR_PICKER_H
#define		EI_COLOR_PICKER_H

#ifndef		EI_TYPES_H
#include	"EI_Types.h"
#endif

#ifdef		__cplusplus
extern "C" {
#endif

int EI_PickColor(const char *iPromptString,
					const EI_Color *iOriginalColor,
					EI_Color *oNewColor);

int EI_PickColorWithAlpha(const char *iPromptString,
							const EI_Color *iOriginalColor,
							unsigned char iOriginalAlpha,
							EI_Color *oNewColor,
							unsigned char *oNewAlpha);

#ifdef		__cplusplus
}
#endif

#endif
