/*  Copyright 1993-2011 EIAS3D, This Source code may be included in plug-ins, 
shaders, and utilities intended for use with the Electric Image Animation System.
This copyright notice must be included in its original form in all such products. 
This  source code may not be offered for sale or distributed by any entity 
without the express permission of EIAS3D.*/

#ifndef		EI_DISK_IMAGE_H
#define		EI_DISK_IMAGE_H

#ifndef		EI_TYPES_H
#include		"EI_Types.h"
#endif

#ifdef		__cplusplus
extern "C" {
#endif

EI_DiskImage *EI_MakeDiskImage(EI_ResourceFile *iResourceFile,
								UInt32 iType,
								int iID);
void EI_DestroyDiskImage(EI_DiskImage *iImage);

const EI_ImageBuffer *EI_GetDiskImageBuffer(EI_DiskImage *iImage);

#ifdef		__cplusplus
}
#endif

#endif
