/*  Copyright 1993-2011 EIAS3D, This Source code may be included in plug-ins, 
shaders, and utilities intended for use with the Electric Image Animation System.
This copyright notice must be included in its original form in all such products. 
This  source code may not be offered for sale or distributed by any entity 
without the express permission of EIAS3D.*/

#ifndef		EI_QUICKTIME_H
#define		EI_QUICKTIME_H

//	This file can only be used on systems with the QuickTime SDK installed.
#if			defined(__MACINTOSH__) || defined(__WIN32__) || defined(__WIN64__)

#ifndef		EI_TYPES_H
#include	"EI_Types.h"
#endif

#include	"Files.h"
#include	"MacWindows.h"
#include	"QDOffscreen.h"

#ifdef		__cplusplus
extern "C" {
#endif

int EI_FileRefToFSSpec(const EI_FileRef *iFileRef,
						FSSpec *oFSSpec);

int EI_DialogToWindowPtr(EI_Dialog *iDialog,
							WindowPtr *oWindowPtr);

int EI_ImageBufferToGWorld(EI_ImageBuffer *iImageBuffer,
							GWorldPtr *oGWorld);

#ifdef		__cplusplus
}
#endif

#endif

#endif
