/*  Copyright 1993-2011 EIAS3D, This Source code may be included in plug-ins, 
shaders, and utilities intended for use with the Electric Image Animation System.
This copyright notice must be included in its original form in all such products. 
This  source code may not be offered for sale or distributed by any entity 
without the express permission of EIAS3D.*/

#ifndef		EI_RESOURCE_FILE_H
#define		EI_RESOURCE_FILE_H

#ifndef		EI_TYPES_H
#include	"EI_Types.h"
#endif

#ifdef		__cplusplus
extern "C" {
#endif

EI_ResourceFile *EI_OpenResourceFile(const EI_FileRef *iFileRef);
void EI_CloseResourceFile(EI_ResourceFile *iResourceFile);

void *EI_GetResource(EI_ResourceFile *iResourceFile,
						UInt32 iResourceType,
						int iResourceID,
						SInt32 *oResourceSize);

void EI_ReleaseResource(void *iResource);

#ifdef		__cplusplus
}
#endif

#endif
